=== debian/changelog ===
ros-kinetic-pilz-control (0.4.12-1xenial) xenial; urgency=high

  * Minor fixes
  * integrate clang-tidy via CMake flag
  * Better handling consecutive calls on the hold service of joint trajectory controller
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 23 Mar 2020 23:00:00 -0000

ros-kinetic-pilz-control (0.4.11-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 10 Sep 2019 22:00:00 -0000

ros-kinetic-pilz-control (0.4.10-1xenial) xenial; urgency=high

  * Add is_executing service to joint trajectory controller
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Mon, 02 Sep 2019 22:00:00 -0000

ros-kinetic-pilz-control (0.4.9-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 18 Jun 2019 22:00:00 -0000

ros-kinetic-pilz-control (0.4.8-1xenial) xenial; urgency=high



 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Tue, 23 Apr 2019 22:00:00 -0000

ros-kinetic-pilz-control (0.4.7-1xenial) xenial; urgency=high

  * Fixes for new JointTrajectoryController Interface
  * drop outdated can configuration
  * Contributors: Pilz GmbH and Co. KG

 -- Alexander Gutenkunst <a.gutenkunst@pilz.de>  Thu, 14 Feb 2019 23:00:00 -0000

ros-kinetic-pilz-control (0.4.6-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 17 Jan 2019 23:00:00 -0000

ros-kinetic-pilz-control (0.4.5-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-kinetic-pilz-control (0.4.4-1xenial) xenial; urgency=high

  * Increase controller holding mode user feedback from INFO to WARN

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 15 Jan 2019 23:00:00 -0000

ros-kinetic-pilz-control (0.4.3-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Thu, 29 Nov 2018 23:00:00 -0000

ros-kinetic-pilz-control (0.4.2-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Wed, 07 Nov 2018 23:00:00 -0000

ros-kinetic-pilz-control (0.4.1-1xenial) xenial; urgency=high



 -- Pilz GmbH and Co. KG <ros@pilz.de>  Tue, 06 Nov 2018 23:00:00 -0000

ros-kinetic-pilz-control (0.4.0-1xenial) xenial; urgency=high

  * joint trajectory controller with holding mode functionality

 -- Pilz GmbH and Co. KG <ros@pilz.de>  Mon, 05 Nov 2018 23:00:00 -0000
