=== debian/control ===
Source: ros-kinetic-pilz-control
Section: misc
Priority: optional
Maintainer: Alexander Gutenkunst <a.gutenkunst@pilz.de>
Build-Depends: debhelper (>= 9.0.0), ros-kinetic-catkin, ros-kinetic-cmake-modules, ros-kinetic-code-coverage, ros-kinetic-controller-interface, ros-kinetic-controller-manager, ros-kinetic-joint-trajectory-controller, ros-kinetic-pilz-utils, ros-kinetic-roscpp, ros-kinetic-roslint, ros-kinetic-rostest, ros-kinetic-std-srvs
Homepage: http://ros.org/wiki/pilz_control
Standards-Version: 3.9.2

Package: ros-kinetic-pilz-control
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-kinetic-controller-interface, ros-kinetic-controller-manager, ros-kinetic-joint-trajectory-controller, ros-kinetic-pilz-utils, ros-kinetic-roscpp, ros-kinetic-std-srvs
Description: This package provides a specialized joint_trajectory_controller that can be moved into holding state via service call.
 No further trajectories will be accepted/followed in this state.
